Bug 698383 - RFE - preupgrade - better no disk space in /boot message
RFE - preupgrade - better no disk space in /boot message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-20 14:44 EDT by Tapani Mattila
Modified: 2014-01-21 18:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 478437
Environment:
Last Closed: 2011-11-09 15:10:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tapani Mattila 2011-04-20 14:44:58 EDT
+++ This bug was initially created as a clone of Bug #478437 +++

Created attachment 327943 [details]
current error message

Description of problem:
Running preupgrade when you unknowingly have small amount of space in /boot leads to error dialog with retry & ok, but doesn't inform of the actual cause passed to the gui code.

Version-Release number of selected component (if applicable):
preupgrade-1.0.1-1.fc9.noarch

How reproducible:
have less than 10M in /boot and begin preupgrade
  
Actual results:
gui retry dialog with:
Failed to download installer data.
This could be caused by a missing network connection or a bad mirror

However, since this was started from the command line, it can be seen that the error was really: 
Not enough space in /boot/upgrade to download initrd.img.

Expected results:
1. Error telling user what actually went wrong ;)
2. Tell em what they need to do to succeed.

--- Additional comment from dtimms@iinet.net.au on 2008-12-29 21:40:56 EST ---

Created attachment 327947 [details]
error message with patch (next)

--- Additional comment from dtimms@iinet.net.au on 2008-12-29 21:42:12 EST ---

Created attachment 327948 [details]
add the already calculated failure detail to the out of space exception

--- Additional comment from dtimms@iinet.net.au on 2008-12-29 21:53:39 EST ---

Created attachment 327949 [details]
conditionally show the out of space exception propogated from the backend

*side issue: I would also like preupgrade to, when it finds this situation:
1. check needed space (done)
2. check current running kernel version
3. check if other kernels are installed (and taking up space in /boot).
4.   offer to yum remove non-running kernels to free up space.
  " Preupgrade found 5 kernel versions installed. Would you like to remove the 4 fallback kernels ? y or n
5. continue without restarting preupgrade.
If someone else is doing the work, would such a patch be acceptable ?

--- Additional comment from dtimms@iinet.net.au on 2008-12-29 22:02:38 EST ---

Created attachment 327950 [details]
screenshot of out of space for stage2

Since applying the above patch and running with enough space for stage1, these patches change the existing stage2 "no room but it's ok" dialog as attached. I can't see harm in having that information.

--- Additional comment from triage@lists.fedoraproject.org on 2009-06-09 23:27:34 EDT ---


This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from dtimms@iinet.net.au on 2009-07-05 03:43:57 EDT ---

Created attachment 350528 [details]
preupgrade - could do with some nice gui for the lack of space in /boot case.

(In reply to comment #5)
> This message is a reminder that Fedora 9 is nearing its end of life.
This issue is yet to be resolved under Fedora 11. The test was to simply fill /boot to < the vmlinuz size ( eg 2MB free). This is easy enough to do when there are numerous kernels installed.

# preupgrade
/usr/lib/python2.6/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, presto, refresh-packagekit, whiteout
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=i386
preupgrade-rpmfusion-free-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=i386
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=i386
preupgrade-rpmfusion-nonfree-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=i386
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=i386
Fetched treeinfo from http://mirror.aarnet.edu.au/pub/fedora/linux/development/i386/os//.treeinfo
treeinfo timestamp: Tue Jun 30 00:22:43 2009
Not enough space in /boot/upgrade to download vmlinuz.

--- Additional comment from toreo@olsen.priv.no on 2009-12-03 04:33:19 EST ---

Experienced this problem when attempting to upgrade from Fedora 11 to Fedora 12. I can imagine a less experienced user would have problems solving this. I really like David's suggestion to have preupgrade check for space and ask the user to remove old kernel packages. That would be a very helpful and intelligent behaviour.

--- Additional comment from triage@lists.fedoraproject.org on 2010-04-27 08:39:32 EDT ---


This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from triage@lists.fedoraproject.org on 2010-06-28 07:02:54 EDT ---


Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Tapani Mattila 2011-04-20 14:45:32 EDT
This case is still valid for F12.

Tested for F12 -> F14 upgrade.
Comment 2 John Poelstra 2011-11-09 15:10:17 EST
    Thank you for your bug report. 

    We are sorry, but the Fedora Project is no longer releasing bug fixes or any other updates for Fedora 12. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora, which is available from: 

    http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.